import { DRFFilters } from './types';
export function isFilterSetValue(config) {
    return config.value !== undefined;
}
export function isFilterSetConfig(config) {
    const keys = Object.keys(config);
    const attributes = keys.filter(item => !DRFFilters.includes(item) && item !== 'value'); // exclude all default drf Filters and value
    return attributes.length > 0;
}
export function isFilterSetRange(config) {
    const keys = Object.keys(config);
    const rangeKeys = ['lt', 'gt', 'lte', 'gte'];
    const attributes = keys.filter(item => rangeKeys.includes(item)); // exclude all default drf Filters
    return attributes.length > 0;
}
export function isFilterSetExact(config) {
    return config.exact !== undefined;
}
export function isFilterSetIn(config) {
    return config.in !== undefined;
}
export function isFilterSetAffix(config) {
    return config.startswith !== undefined || config.endswith !== undefined;
}
//# sourceMappingURL=guards.js.map